%define upstream_name    Hash-FieldHash
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A lightweight field hash implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::LeakTrace) >= 0.70.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
'Hash::FieldHash' provides the field hash mechanism which supports the
inside-out technique.

You may know 'Hash::Util::FieldHash'. It's a very useful module, but too
complex to understand all the functions and only available in 5.10.
'H::U::F::Compat' is available for pre-5.10, but it seems too slow to use.

This is an alternative to 'H::U::F' with following features:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml LICENSE example
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.140.0-11pclos2017
- rebuild against updates

